describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/breakfastburrito')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.rectab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.rectab-container')
        .find('.rectab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/breakfast')
      })
      
    })

    describe('Recipe', () => {
        beforeEach(() => {
            cy.visit('/breakfastburrito')
          })
          it('ingredients visible', () => {
            cy.get('body')
            .find('.ingredients')
            .should('be.visible')
          })
          it('method is visible', () => {
            cy.get('body')
            .find('.method')
            .should('be.visible')
          })
          it('like is visible', () => {
            cy.get('body')
            .find('.like-section')
            .should('be.visible')
        })
        it('comment section is visible', () => {
            cy.get('body')
            .find('.comment-section')
            .should('be.visible')
          })
    })
    describe('Comment', () => {
          it('type a comment', () => {
            cy.get('body')
            .find('.comment-section')
            .find('.comments')
            .find('form')
            .find('.comment-textarea')
            .type('comment')
          })
          it('type comment', () => {
            cy.get('body')
            .find('.comment-section')
            .find('.comments')
            .find('form')
            .find('.comment-textarea')
            .type('commenttest')
          })
          it('add typed comment', () => {
            cy.get('body')
            .find('.comment-section')
            .find('.comments')
            .find('form')
            .find('.comment-button')
            .click()
          })
          it('check add typed comment', () => {
            cy.get('body')
            .find('.comment-section')
            .find('.comments')
            .contains('commenttest')
          })
          it('reply test comment', () => {
            cy.get('body')
            .find('.comment-section')
            .find('.comments')
            .find('.comments-container')
            .find('.comment')
            .find('.comment-right')
            .find('.comment-actions')
            .find('.comment-action')
            .first().click().should('be.visible')
          })
          it('edit test comment', () => {
            cy.get('body')
            .find('.comment-section')
            .find('.comments')
            .find('.comments-container')
            .find('.comment')
            .find('.comment-right')
            .find('.comment-actions')
            .find('.comment-action')
            .first().next().click().should('be.visible')
          })
          it('delete test comment', () => {
            cy.get('body')
            .find('.comment-section')
            .find('.comments')
            .find('.comments-container')
            .find('.comment')
            .find('.comment-right')
            .find('.comment-actions')
            .find('.comment-action')
            .first().next().next().click().should('be.visible')
          })
    })